-module(sumsquares_tests).
-export([main/0]).
-import(sumsquares,[sumsquares/1]).
-import(testing,[dotests/2,eqTest/3]).
main() -> compile:file(sumsquares),
	  dotests("sumsquares_tests $Revision: 1.1 $", tests()).
tests() ->
    [eqTest(sumsquares([]), "==", 0),
     eqTest(sumsquares([3]), "==", 9),
     eqTest(sumsquares([4,3]), "==", 25),
     eqTest(sumsquares([1,2,4,3]), "==", 30),
     eqTest(sumsquares([1,10,500]), "==", 250101),
     % note that lists:seq(1,100) == [1,2,3,4,...,98,99,100]
     eqTest(sumsquares(lists:seq(1,100)), "==", 338350),
     eqTest(sumsquares([30|lists:seq(1,100)]), "==", 339250),
     eqTest(sumsquares(lists:seq(7,74321)), "==", 136842860543870)  ].
   
